<header>
    <div class="d-flex justify-content-between">
        <h4>Formulario basico :D</h4>

        <a href="#" routerLink="/person/index" class="btn btn-primary">Atras</a>
    </div>
    <div>
        <h1>Puede agregar varias personas</h1>
    </div>

    <!-- <button (click)="toggleTheme()" title="Change theme">format_color_fill</button> -->
</header>
<form [formGroup]="userTable" (ngSubmit)="submitForm()" enctype="multipart/form-data">
    <table class="table">
        <thead class="thead-dark">
            <th>Nombre</th>
            <th>Correo</th>
            <th>Celular</th>
            <th>Selección</th>
            <th>Imagen</th>
            <th>Remover</th>
        </thead>
        <tbody>
            <ng-container formArrayName="tableRows" *ngFor="let group of getFormControls.controls ; let i=index">
                <tr [formGroupName]="i">
                    <td>
                        <input type="text" formControlName="name">
                    </td>
                    <td>
                        <input type="tetx" formControlName="email">
                    </td>
                    <td>
                        <input type="text" formControlName="phone">
                    </td>
                    <td>
                        <input id="image" type="file" class="form-file" (change)="onFileChange1($event,group,i)">
                    </td>
                    <td>
                        <div class="form-group row">
                            <div *ngIf="previsualizacion[i]" class="col-md-6 ">
                                <img width="150px" [src]="[previsualizacion[i]]" alt="">
                            </div>
                        </div>
                    </td>

                    <td>
                        <button class="delete" (click)="deleteRow(i)">Borrar</button>
                    </td>
                </tr>
            </ng-container>
        </tbody>
    </table>
    <div class="action-container">
        <button class="btn btn-primary" type="button" (click)="addRow()">+ Nueva fila</button> <br><br>
        <button class="btn btn-primary" [disabled]="userTable.invalid" type="submit">Guardar formulario</button>
    </div>
</form>
<div class="output">
    <p>Form Data: {{userTable.value | json}}</p>
    <p>Form Data: {{this.touchedRows | json}}</p>

    <p>Is Valid: {{userTable.valid}}</p>
</div>